package com.gic.finance.service;

import com.gic.finance.dto.PayAccountDTO;
import com.gic.finance.entity.TabPayAccount;

import java.util.List;
/**
 * 打款户接口
 * @ClassName: PayAccountService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/29 2:49 PM 
 */
public interface PayAccountService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  void 
      */
    int save(PayAccountDTO dto);

    int update(PayAccountDTO dto);

    /**
     * 查询列表
     * @Title: listPayAccount 
     * @Description:
      * @author guojuxing  
     * @return  java.util.List<com.gic.finance.dto.PayAccountDTO> 
      */
    List<PayAccountDTO> listPayAccount();

    /**
     * 根据主键查询
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param id 
     * @return  com.gic.finance.entity.TabPayAccount 
      */
    TabPayAccount getById(Integer id);

    /**
     * 拖拽排序
     * @Title: setSort 
     * @Description:
      * @author guojuxing
     * @param record
     * @param sortValue 
     * @return  void 
      */
    void setSort(TabPayAccount record, Integer sortValue);

    /**
     * 查询排序值最大的，即排在最末
     * @Title: getTheMaxSort 
     * @Description:
      * @author guojuxing  
     * @return  int 
      */
    int getTheMaxSort();

    int getMinSort();

    /**
     * 查询排序值前面的记录
     * @Title: getPreOfSort 
     * @Description:
      * @author guojuxing
     * @param sort 
     * @return  com.gic.finance.entity.TabPayAccount 
      */
    TabPayAccount getPreOfSort(Integer sort);

    /**
     * 查询排序值后面的记录
     * @Title: getNextOfSort 
     * @Description:
      * @author guojuxing
     * @param sort 
     * @return  com.gic.finance.entity.TabPayAccount 
      */
    TabPayAccount getNextOfSort(Integer sort);
}
